<?php

namespace Restaurant\Location\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LocationTransformer extends TransformerAbstract
{
    public function transform(\Restaurant\Location\Models\Location $location)
    {
        return [
            'id'                => $location->getRouteKey(),
            'key'               => [
                'public'    => $location->getPublicKey(),
                'route'     => $location->getRouteKey(),
            ], 
            'id'                => $location->id,
            'name'              => $location->name,
            'description'       => $location->description,
            'address'           => $location->address,
            'phone'             => $location->phone,
            'email'             => $location->email,
            'password'          => $location->password,
            'api_token'         => $location->api_token,
            'remember_token'    => $location->remember_token,
            'zipcode'           => $location->zipcode,
            'latitude'          => $location->latitude,
            'longitude'         => $location->longitude,
            'slug'              => $location->slug,
            'user_id'           => $location->user_id,
            'user_type'         => $location->user_type,
            'created_at'        => $location->created_at,
            'deleted_at'        => $location->deleted_at,
            'updated_at'        => $location->updated_at,
            'url'               => [
                'public'    => trans_url('location/'.$location->getPublicKey()),
                'user'      => guard_url('location/location/'.$location->getRouteKey()),
            ], 
            'status'            => trans('app.'.$location->status),
            'created_at'        => format_date($location->created_at),
            'updated_at'        => format_date($location->updated_at),
        ];
    }
}